diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index e4e4f77..22cf884 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -739,7 +739,8 @@ AlgebraicIntegrate(R0, F, UP, UPUP, R): Exports == Implementation where
         qsetelt_!(vp, i, r.polyPart)
       ff := represents(vf, w := integralBasis())
       h := HermiteIntegrate(ff, derivation)
-      p := represents(map(convert(#1)@QF, vp)$VectorFunctions2(GP, QF), w)
+      p := represents(
+             map((x1:GP):QF+->convert(x1)@QF, vp)$VectorFunctions2(GP, QF), w)
       zero?(h.logpart) and zero? p => h.answer::IR
       (u := alglogint(h.logpart, derivation)) case "failed" =>
                        mkAnswer(h.answer, empty(), [[p + h.logpart, dummy]])
@@ -785,13 +786,13 @@ AlgebraicIntegrate(R0, F, UP, UPUP, R): Exports == Implementation where
 
 
     UPQ2F p ==
-      map(#1::F, p)$UnivariatePolynomialCategoryFunctions2(Q,UPQ,F,UP)
+      map((x:Q):F+->x::F,p)$UnivariatePolynomialCategoryFunctions2(Q,UPQ,F,UP)
 
     UP2SUP p ==
-       map(#1, p)$UnivariatePolynomialCategoryFunctions2(F, UP, F, SUP)
+      map((x:F):F+->x,p)$UnivariatePolynomialCategoryFunctions2(F, UP, F, SUP)
 
     SUP2UP p ==
-       map(#1, p)$UnivariatePolynomialCategoryFunctions2(F, SUP, F, UP)
+      map((x:F):F+->x,p)$UnivariatePolynomialCategoryFunctions2(F, SUP, F, UP)
 
     varRoot?(p, derivation) ==
       for c in coefficients primitivePart p repeat
@@ -819,18 +820,20 @@ AlgebraicIntegrate(R0, F, UP, UPUP, R): Exports == Implementation where
 
     R2UP(f, k) ==
       x := dumx :: F
-      g := (map(#1 x, lift f)$UnivariatePolynomialCategoryFunctions2(QF,
-                              UPUP, F, UP)) (y := dumy::F)
-      map(rlift(#1, dumx, dumy), univariate(g, k,
-         minPoly k))$UnivariatePolynomialCategoryFunctions2(F,SUP,R,UPR)
+      g := 
+       (map((f1:QF):F+->f1(x), lift f)_
+         $UnivariatePolynomialCategoryFunctions2(QF,UPUP,F,UP))
+           (y := dumy::F)
+      map((x1:F):R+->rlift(x1, dumx, dumy), univariate(g, k, minPoly k))_
+        $UnivariatePolynomialCategoryFunctions2(F,SUP,R,UPR)
 
     univ(f, k) ==
       g := univariate(f, k)
       (SUP2UP numer g) / (SUP2UP denom g)
 
     rlift(f, kx, ky) ==
-      reduce map(univ(#1, kx), retract(univariate(f,
-         ky))@SUP)$UnivariatePolynomialCategoryFunctions2(F,SUP,QF,UPUP)
+      reduce map(x1+->univ(x1, kx), retract(univariate(f, ky))@SUP)_
+        $UnivariatePolynomialCategoryFunctions2(F,SUP,QF,UPUP)
 
     nonQ(rec, p) ==
       empty? rest(lf := factors ffactor primitivePart p) =>
@@ -919,7 +922,7 @@ AlgebraicIntegrate(R0, F, UP, UPUP, R): Exports == Implementation where
         ((u := palglogint(h.logpart, derivation)) case "failed") =>
                       mkAnswer(h.answer, empty(), [[h.logpart, dummy]])
       zero?(difFirstKind := h.logpart - +/[pLogDeriv(lg,
-            differentiate(#1, derivation)) for lg in u::List(LOG)]) =>
+            x1+->differentiate(x1, derivation)) for lg in u::List(LOG)]) =>
                 mkAnswer(h.answer, u::List(LOG), empty())
       mkAnswer(h.answer, u::List(LOG), [[difFirstKind, dummy]])
 
@@ -934,7 +937,7 @@ AlgebraicIntegrate(R0, F, UP, UPUP, R): Exports == Implementation where
 
     alglogint(f, derivation) ==
       varRoot?(doubleResultant(f, derivation),
-                         retract(derivation(#1::UP))@F) => "failed"
+                         x1+->retract(derivation(x1::UP))@F) => "failed"
       FAIL0
 
 @
diff --git a/changelog b/changelog
index ce73115..80c3d40 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090509 tpd src/axiom-website/patches.html 20090509.03.tpd.patch
+20090509 tpd books/bookvol10.4 INTALG +-> conversion
 20090509 tpd src/axiom-website/patches.html 20090509.02.tpd.patch
 20090509 tpd books/bookvol10.3 BFUNCT +-> conversion
 20090509 tpd src/axiom-website/patches.html 20090509.01.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index ae74504..20883a1 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1136,5 +1136,7 @@ bookvol10.2 EF +-> conversion<br/>
 bookvol10.2 ARR2CAT +-> conversion<br/>
 <a href="patches/20090509.02.tpd.patch">20090509.02.tpd.patch</a>
 bookvol10.3 BFUNCT +-> conversion<br/>
+<a href="patches/20090509.03.tpd.patch">20090509.03.tpd.patch</a>
+bookvol10.4 INTALG +-> conversion<br/>
  </body>
 </html>
